@echo off
chcp 65001 >nul

title 修复Excel插件


:: 检查需要复制的注册表项是否存在
reg query "HKEY_CURRENT_USER\Software\Microsoft\Office\Excel\Addins\InfiniTraderAddIn" >nul 2>&1
if not %errorlevel% equ 0 (
    echo 修复失败：需要复制的注册表项不存在。
    pause
    exit /b
)

:: 检查第一个目录的注册表项是否存在
reg query "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Microsoft\Office\Excel\Addins\InfiniTraderAddIn" >nul 2>&1
if not %errorlevel% equ 0 (
    echo 第一个目录的注册表项不存在，开始导入...
    :: 导入到第一个目录
    reg copy "HKEY_CURRENT_USER\Software\Microsoft\Office\Excel\Addins\InfiniTraderAddIn"  "HKEY_LOCAL_MACHINE\SOFTWARE\WOW6432Node\Microsoft\Office\Excel\Addins\InfiniTraderAddIn"
    echo 导入到第一个目录完成！
) else (
    echo 第一个目录的注册表项已存在，无需导入。
)

:: 检查第二个目录的注册表项是否存在
reg query "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Excel\Addins\InfiniTraderAddIn" >nul 2>&1
if not %errorlevel% equ 0 (
    echo 第二个目录的注册表项不存在，开始导入...
    :: 导入到第二个目录
    reg copy "HKEY_CURRENT_USER\Software\Microsoft\Office\Excel\Addins\InfiniTraderAddIn" "HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Office\Excel\Addins\InfiniTraderAddIn"
    echo 导入到第二个目录完成！
) else (
    echo 第二个目录的注册表项已存在，无需导入。
)

pause
